/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\artifacts\HelmOfMana.cs
Lines of code: 47
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class HelmOfMana : BoneHelm
	{
		public override int ArtifactRarity{ get{ return 15; } }
		public override int BaseFireResistance{ get{ return 15; } }
		public override int BaseColdResistance{ get{ return 20; } }
		public override int BasePoisonResistance{ get{ return 15; } }
		public override int BaseEnergyResistance{ get{ return 20; } }

		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			{
				list.Add("D E M I T E L");
			}
		}

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public HelmOfMana()
		{
			Name = "Helm Of Mana";
			Hue = 1364;
			Attributes.ReflectPhysical = 15;
			Attributes.RegenMana = 2;
			Attributes.LowerManaCost = 8;
			Attributes.BonusMana = 15;
			ArmorAttributes.MageArmor = 1;
			ArmorAttributes.SelfRepair = 5;
		}

		public HelmOfMana( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}